var ffPreferences = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
var newtablusPreferences = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("accessibility.newtabplus.");
var page = 1;
var homepage = "about:home";
var checked = false;

window.onload = function(){
	var _homepage = ffPreferences.getCharPref("browser.startup.homepage");
	if(_homepage == "chrome://newtabplus/content/newtab.html"){
		checked = true;
	}else{
		checked = false;
	}
	document.getElementById('newtabplus').checked = checked;
}

function setHomepage(){
	if(!checked && document.getElementById('newtabplus').checked){
		try{
			page = ffPreferences.getIntPref('browser.startup.page');
			homepage = ffPreferences.getCharPref('browser.startup.homepage');
			newtablusPreferences.setIntPref('page',page);
			newtablusPreferences.setCharPref('homepage',homepage);
		}catch(e){
		}
		ffPreferences.setIntPref("browser.startup.page", 1);
		ffPreferences.setCharPref("browser.startup.homepage", "chrome://newtabplus/content/newtab.html");
	}else if(checked && !document.getElementById('newtabplus').checked){
		try{
			page = newtablusPreferences.getIntPref('page');
			homepage = newtablusPreferences.getCharPref('homepage');
		}catch(e){
		}
		ffPreferences.setIntPref('browser.startup.page', page);
		ffPreferences.setCharPref('browser.startup.homepage', homepage);
	}	
}